- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QWSMouseHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qmouse_qws.h.

`#include <qmouse_qws.h>`

Inheritance diagram for QWSMouseHandler:
[legend]

List of all members.

## Public Member Functions
| QWSMouseHandler (const QString &driver=QString(), const QString &device=QString())
virtual | ~QWSMouseHandler ()
virtual void | clearCalibration ()
virtual void | calibrate (const QWSPointerCalibrationData *)
virtual void | getCalibration (QWSPointerCalibrationData *) const
virtual void | resume ()=0
virtual void | suspend ()=0
void | limitToScreen (QPoint &pt)
void | mouseChanged (const QPoint &pos, int bstate, int wheel=0)
const QPoint & | pos () const
void | setScreen (const QScreen *screen)
## Protected Attributes
QPoint & | mousePos
QWSMouseHandlerPrivate * | d_ptr

## Constructor & Destructor Documentation

QWSMouseHandler | ( | const QString & | driver = `QString()`,
|  | const QString & | device = `QString()`
| ) |  | `[explicit]`

virtual ~QWSMouseHandler | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void clearCalibration | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented in QWSCalibratedMouseHandler, and QWSTslibMouseHandler.

Definition at line 73 of file qmouse_qws.h.

    {}

virtual void calibrate | ( | const QWSPointerCalibrationData * |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented in QWSCalibratedMouseHandler, and QWSTslibMouseHandler.

Definition at line 74 of file qmouse_qws.h.

    {}

virtual void getCalibration | ( | QWSPointerCalibrationData * |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented in QWSCalibratedMouseHandler.

Definition at line 75 of file qmouse_qws.h.

    {}

virtual void resume | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QWSLinuxInputMouseHandler, QWSLinuxTPMouseHandler, QWSPcMouseHandler, QQnxMouseHandler, QWSTslibMouseHandler, and QVFbMouseHandler.

virtual void suspend | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QWSLinuxInputMouseHandler, QWSLinuxTPMouseHandler, QWSPcMouseHandler, QQnxMouseHandler, QWSTslibMouseHandler, and QVFbMouseHandler.

void limitToScreen | ( | QPoint & | pt | ) |

Search for all occurrences

void mouseChanged | ( | const QPoint & | pos,
|  | int | bstate,
|  | int | wheel = `0`
| ) |  |

Search for all occurrences

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 82 of file qmouse_qws.h.

    { return mousePos; }

void setScreen | ( | const QScreen * | screen | ) |

Search for all occurrences

## Member Data Documentation

QPoint& mousePos `[protected]`

Search for all occurrences

Definition at line 87 of file qmouse_qws.h.

QWSMouseHandlerPrivate* d_ptr `[protected]`

Search for all occurrences

Definition at line 88 of file qmouse_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qmouse_qws.h

QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler
QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler QWSMouseHandler